Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart.Axis

Defines a scale from minimum to maximum, to transform series points into chart canvas pixels coordinates.
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Chart.Axis(chart, horizontal, otherSide)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| format Visual properties to draw the axis line.
| grid Properties to display grid lines at tick increments.
| innerTicks Properties to display tick lines at each increment, inside chart.
| labels Properties to display axis labels at tick increments.
| minorTicks Properties to display small tick lines between ticks.
| ticks Properties to display tick lines at each increment.
| title Properties to display text that describes the axis.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<inner> | anySeriesHasLessThan(c, n)
| calc(value)
| calcAxisScale()
<inner> | calcIncrement(c, maxLabelSize)
| calcMinMax(p1, p2)
| calcScale()
| calcSize(value)
<inner> | calcWordWrap(f, s)
| checkMinMax()
| drawAxis()
| drawGrids()
| drawLabel(value, r)
| drawLabels()
| drawTicks(t, factor, mult)
| drawTitle()
| fromPos(p)
| fromSize(p)
| hasAnySeries()
| minmaxLabelWidth()
<inner> | nextStep(value)
| roundMin()
| scroll(delta) Changes the axis maximum and minimum values
| setMinMax(min, max)
<inner> | truncFloat(n)

Class Detail
Tee.Chart.Axis(chart, horizontal, otherSide)

Parameters:
{Tee.Chart} chart
  The chart object this axis object belongs to.
{Boolean} horizontal
  Determines if axis is horizontal or vertical.
{Boolean} otherSide
  Determines if axis is at top/right or bottom/left side of chart.

Field Detail
{Tee.Format} format
Visual properties to draw the axis line.

{Tee.Chart.Axis-Grid} grid
Properties to display grid lines at tick increments.

{Tee.Chart.Axis-Ticks} innerTicks
Properties to display tick lines at each increment, inside chart.

{Tee.Chart.Axis-Labels} labels
Properties to display axis labels at tick increments.

{Tee.Chart.Axis-Ticks} minorTicks
Properties to display small tick lines between ticks.

{Tee.Chart.Axis-Ticks} ticks
Properties to display tick lines at each increment.

{Tee.Chart.Axis-Title} title
Properties to display text that describes the axis.
Method Detail
<inner> {Number} anySeriesHasLessThan(c, n)

Parameters:
c
n

Returns:
  {Number} Returns if any visible series has less than n values. Only called from Axis calcIncrement, to avoid axis label increments to be smaller than series number of points.

{Number} calc(value)

Parameters:
value

Returns:
  {Number} Returns the position in pixels for a given value, using the axis scales.

calcAxisScale()

<inner> {Number} calcIncrement(c, maxLabelSize)

Parameters:
c
maxLabelSize

Returns:
  {Number} Returns the best appropiate distance between axis labels.

calcMinMax(p1, p2)

Parameters:
{Number} p1
  Position in pixels to be axis minimum.
{Number} p2
  Position in pixels to be axis maximum.

calcScale()

{Number} calcSize(value)

Parameters:
value

Returns:
  {Number} Returns the size in pixels of a given value, using the axis scales.

<inner> calcWordWrap(f, s)

Parameters:
f
s

checkMinMax()

drawAxis()

drawGrids()

drawLabel(value, r)

Parameters:
value
r

drawLabels()

drawTicks(t, factor, mult)

Parameters:
t
factor
mult

drawTitle()

{Number} fromPos(p)

Parameters:
p

Returns:
  {Number} Returns the axis value for a given position in pixels.

fromSize(p)

Parameters:
p

{Boolean} hasAnySeries()

Returns:
  {Boolean} Returns the first visible series associated to this axis, or null if any.

{Number} minmaxLabelWidth()

Returns:
  {Number} Returns the approximated width in pixels of largest axis label.

<inner> {Number} nextStep(value)

Parameters:
value

Returns:
  {Number} Returns the next bigger value in the sequence 1,2,5,10,20,50...

{Number} roundMin()

Returns:
  {Number} Returns the axis minimum value rounded according the axis increment distance.

scroll(delta)
Changes the axis maximum and minimum values

Parameters:
{Number} delta
  The positive or negative amount to scroll.

setMinMax(min, max)

Parameters:
min
max

<inner> truncFloat(n)

Parameters:
n

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:36 GMT+0200 (CEST)